Bug 250473 - Gwenview deletes EXIF-Tag upon CROP and RESIZE
Summary: Gwenview deletes EXIF-Tag upon CROP and RESIZE
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-07 18:36 UTC by Matthias Bock
Modified: 2012-10-19 13:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Bock 2010-09-07 18:36:07 UTC
Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

Cropping or Resizing JPEG-Images in Gwenview produces image files with EXIF-Tag removed.

Reproducible: Always

Steps to Reproduce:
I downloaded JPEG-images from my digital camera, opened one in Gwenview, used the CROP action to make it smaller and clicked SAVE. Comparing the EXIF-Tag of the original with the cropped picture using exiv2, version 0.19-1, returned the camera's EXIF-Tag for the original and "No Exif data found in the file" for the cropped picture.

Actual Results:  
The picture's EXIF-Tag is missing.

Expected Results:  
The EXIF-Tag must not be removed but preserved, as it is the case when rotating pictures.
Comment 1 Matthias Fuchs 2011-01-26 23:33:20 UTC
SVN commit 1217378 by mfuchs:

Cropping pictures that use a small palette (e.g. 256 entries) works now.
QImage::copy(QRect) also preserves the EXIF-Tag.
BUG:257590
BUG:236318
BUG:250473
CCBUG:203109

 M  +2 -7      cropimageoperation.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217378
Comment 2 Matthias Fuchs 2011-01-26 23:37:00 UTC
SVN commit 1217379 by mfuchs:

Backport r1217378
Cropping pictures that use a small palette (e.g. 256 entries) works now.
QImage::copy(QRect) also preserves the EXIF-Tag.
CCBUG:257590
CCBUG:236318
CCBUG:250473
CCBUG:203109

 M  +2 -7      cropimageoperation.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217379